locale(1)

NAMN
locale — hämta lokalspecifik information

SYNOPSIS
locale [flagga]
locale [flagga] -a
locale [flagga] -m
locale [flagga] namn …

BESKRIVNING
Kommandot locale visar information om den aktuella lokalen, eller alla lokaler, på standard ut.

När det anropas utan argument visar locale den aktuella lokalinställningen för varje lokalkategori (se locale(5)), baserat på inställningarna i miljövariablerna som styr lokalen (se locale(7)). Värden på variabler som är satta i miljön skrivs ut utan citationstecken, implicerade värden skrivs med citationstecken.

Om antingen flaggan -a eller -m (eller ett av deras ekvivalenta långa format) anges är beteendet som följer:

--all-locales
-a
    Visa en lista med alla tillgängliga lokaler. Flaggan -v får metadatan LC_IDENTIFICATION om varje lokal att inkluderas i utmatningen.

--charmaps
-m
    Visa de tillgängliga charmaps (beskrivningsfiler för teckenuppsättningar). För att visa den aktuella teckenuppsättningen för lokalen, använd locale -c charmap.

Kommandot locale kan även ges ett eller flera argument vilka är namnen på lokalnyckelord (till exempel date_fmt, ctype-class-names, yesexpr eller decimal_point) eller lokalkategorier (till exempel LC_CTYPE eller LC_TIME). För varje argument visas följande:

•   För ett lokalnyckelord visas värdet på det nyckelordet.

•   För en lokalkategori visas värdena på alla nyckelord i den kategorin.

När argument ges är följande flaggor meningsfulla:

--category-name
-c
    Skriv för ett kategorinamnsargument namnet på lokalkategorin på en egen rad före listan på nyckelordsvärden för den kategorin.

    Skriv för ett nyckelordsnamnsargument namnet på lokalkategorin för detta nyckelord på en egen rad för nyckelordets värde.

    Denna flagga förbättrar läsbarheten när flera namnargument anges. Det kan kombineras med flaggan -k.

--keyword-name
-k
    Inkludera för varje nyckelord vars värde visas även namnet på det nyckelordet så att utdatan har formatet:

        nyckelord="värde"

Kommandot locale känner även till följande flaggor:

--verbose
-v
    Visa ytterligare information för några kombinationer av kommandoradsflaggor och argument.

--help
-?
    Visa en sammanfattning av kommandoradsflaggorna och argumenten och avsluta.

--usage
    Visa ett kort användningsmeddelande och avsluta.

--version
-V
    Visa programversionen och avsluta.

FILER

/usr/lib/locale/locale-archive
    Den vanliga standardplatsen för lokalarkiv.

/usr/share/i18n/locales
    Den normala standardsökvägen för lokaldefinitionsfiler.

STANDARDER
POSIX.1-2008.

HISTORIK
POSIX.1-2001.

EXEMPEL
    $ locale;
    LANG=sv_SE.UTF-8
    LC_CTYPE="sv_SE.UTF-8"
    LC_NUMERIC="sv_SE.UTF-8"
    LC_TIME="sv_SE.UTF-8"
    LC_COLLATE="sv_SE.UTF-8"
    LC_MONETARY="sv_SE.UTF-8"
    LC_MESSAGES="sv_SE.UTF-8"
    LC_PAPER="sv_SE.UTF-8"
    LC_NAME="sv_SE.UTF-8"
    LC_ADDRESS="sv_SE.UTF-8"
    LC_TELEPHONE="sv_SE.UTF-8"
    LC_MEASUREMENT="sv_SE.UTF-8"
    LC_IDENTIFICATION="sv_SE.UTF-8"
    LC_ALL=

$ locale date_fmt;
%a %e %b %Y %H:%M:%S %Z

$ locale -k date_fmt;
date_fmt="%a %e %b %Y %H:%M:%S %Z"

$ locale -ck date_fmt;
LC_TIME
date_fmt="%a %e %b %Y %H:%M:%S %Z"

$ locale LC_TELEPHONE;
+%c-%a-%l
0%a-%l
00
46
UTF-8

$ locale -k LC_TELEPHONE;
tel_int_fmt="+%c-%a-%l"
tel_dom_fmt="0%a-%l"
int_select="00"
int_prefix="46"
telephone-codeset="UTF-8"

Följande exempel kompilerar en anpassad lokal från katalogen ./arb med verktyget localedef(1) under katalogen $HOME/.locale, testar sedan resultatet med kommandot date(1), och sätter därefter miljövariablerna LOCPATH och LANG i skalets profilfil så att den anpassade lokalen kommer användas i senare användarsessioner:

    $ mkdir -p $HOME/.locale;
    $ I18NPATH=./arb/ localedef -f UTF-8 -i fi_SE $HOME/.locale/fi_SE.UTF-8;
    $ LOCPATH=$HOME/.locale LC_ALL=fi_SE.UTF-8 date;
    $ echo "export LOCPATH=\$HOME/.locale" >> $HOME/.bashrc;
    $ echo "export LANG=fi_SE.UTF-8" >> $HOME/.bashrc;

SE ÄVEN
localedef(1), charmap(5), locale(5), locale(7)

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.